org.eclipse.ease.debugging

## Class DynamicContentEditorInput

- java.lang.Object
- - org.eclipse.ease.debugging.DynamicContentEditorInput

All Implemented Interfaces:
  IAdaptable, IEditorInput, IStorageEditorInput

    public class DynamicContentEditorInput
    extends Object
    implements IStorageEditorInput

Editor input for dynamic script code not stored in a local file. Takes text input and prepares it to be passed to the Script editor.

### Constructor Summary

Constructors
Constructor and Description
`DynamicContentEditorInput(Script script)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`boolean` `exists()`
`Object` `getAdapter(Class adapter)`
`ImageDescriptor` `getImageDescriptor()`
`String` `getName()`
`IPersistableElement` `getPersistable()`
`IStorage` `getStorage()`
`String` `getToolTipText()`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DynamicContentEditorInput

    public DynamicContentEditorInput(Script script)

Constructor. Takes text from a script.

Parameters:
  `script` - script to extract text from

### Method Detail

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### getAdapter

    public final Object getAdapter(Class adapter)

Specified by:
  `getAdapter` in interface `IAdaptable`

#### getPersistable

    public final IPersistableElement getPersistable()

Specified by:
  `getPersistable` in interface `IEditorInput`

#### exists

    public final boolean exists()

Specified by:
  `exists` in interface `IEditorInput`

#### getStorage

    public final IStorage getStorage()

Specified by:
  `getStorage` in interface `IStorageEditorInput`

#### getImageDescriptor

    public final ImageDescriptor getImageDescriptor()

Specified by:
  `getImageDescriptor` in interface `IEditorInput`

#### getName

    public final String getName()

Specified by:
  `getName` in interface `IEditorInput`

#### getToolTipText

    public final String getToolTipText()

Specified by:
  `getToolTipText` in interface `IEditorInput`